MCP Tools Reference: slidesmcp.googleapis.com

टूल: read_presentation

Google Slides प्रज़ेंटेशन के JSON फ़ॉर्मैट को पढ़ता है.

यह REST API में presentations.get से मेल खाता है.

यहां दिए गए सैंपल में, curl का इस्तेमाल करके read_presentation एमसीपी टूल को चालू करने का तरीका बताया गया है.

कर्ल अनुरोध
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_presentation",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

इनपुट स्कीमा

किसी प्रज़ेंटेशन को पढ़ने का अनुरोध करना.

ReadPresentationRequest

JSON के काेड में दिखाना
{
  "presentationId": string
}
फ़ील्ड
presentationId

string

ज़रूरी है. उस प्रज़ेंटेशन का आईडी जिससे कॉन्टेंट पढ़ना है.

आउटपुट स्कीमा

जवाब में, प्रज़ेंटेशन का JSON कोड शामिल होता है.

ReadPresentationResponse

JSON के काेड में दिखाना
{
  "content": string
}
फ़ील्ड
content

string

Google Slides प्रज़ेंटेशन का JSON फ़ॉर्मैट.

टूल एनोटेशन

बदलाव करने वाला हिंट: ❌ | एक ही बार लागू होने वाला हिंट: ✅ | सिर्फ़ पढ़ने वाला हिंट: ✅ | ओपन वर्ल्ड हिंट: ✅

अनुमति पाने के लिंक

इसके लिए, इनमें से किसी एक OAuth स्कोप की ज़रूरत होती है:

  • https://www.googleapis.com/auth/drive.readonly
  • https://www.googleapis.com/auth/presentations.readonly
  • https://www.googleapis.com/auth/drive
  • https://www.googleapis.com/auth/drive.file
  • https://www.googleapis.com/auth/presentations